@ECHO OFF
REM This is RUNLOG.BAT
REM
REM RUNLOG.BAT lets you log the time you spend at the keyboard. To run it,
REM you must enter four things on the command line: 1) The name of the batch
REM file (RUNLOG.BAT), 2) The name of the program you want to run, 3) The
REM data file for that program, and 4) Up to seven words of memo notes about
REM it. For example, to run WordStar, work on JONES91.TAX, and log the note
REM "Jones's 1991 taxes," you'd type.
REM
IF EXIST PERSONAL.LOG GOTO START
REM > PERSONAL.LOG
:START
IF %1!==! GOTO OOPS
ECHO ------------- >> PERSONAL.LOG
ECHO | MORE | DATE | FIND "Cur" >> PERSONAL.LOG
ECHO | MORE | TIME | FIND "Cur" >> PERSONAL.LOG
ECHO Ran %1 using data file %2  >> PERSONAL.LOG
ECHO Notes: %3 %4 %5 %6 %7 %8 %9 >> PERSONAL.LOG
%1 %2
ECHO | MORE | TIME | FIND "Cur" >> PERSONAL.LOG
ECHO ------------ >> PERSONAL.LOG
ECHO PERSONAL.LOG updated . . .
GOTO END
:OOPS
ECHO Enter three things after %0, all on the same line:
ECHO 1. The name of the program you want to run
ECHO 2. Then the data file for that program
ECHO 3. Then up to seven words of memo notes about it
ECHO e.g.: To run WordStar, work on JONES91.TAX,
ECHO and add a "Jones's 1991 taxes" log entry,
ECHO enter: %0 WS JONES91.TAX Jones's 1991 taxes
:END