@ECHO OFF
REM This is NEWPATH.BAT
REM
REM NEWPATH.BAT allows you to create a new, temporary path by entering if
REM after the word NEWPATH. This batch file automatically creates a
REM separate file called RESETP.BAT that will restore the path to it
REM original setting.
REM
REM When you run RESETP.BAT, ignore the "Batch file missing" message. You
REM need to use this slightly elaborate system to create a new path because
REM batch files interpret the semicolons used to separate path subdirectories
REM as spaces on the command line. (If you could use your word processor to
REM remove the carriage return at the end of the last line or RESETP.BAT,
REM the "Batch file missing" message would vanish.)
REM
IF %1!==! GOTO OOPS
ECHO @ECHO OFF > RESETP.BAT
PATH >> RESTP.BAT
ECHO ECHO. >> RESTP.BAT
ECHO ECHO your PATH is now %%PATH%% >> RESETP.BAT
ECHO DEL RESETP.BAT >> RESETP.BAT
PATH=%1
;TOP
SHIFT
IF %1!==! GOTO END
PATH=%PATH%,%1
GOTO TOP
:OOPS
ECHO Enter the new temporary
ECHO PATH after %0
:END
ECHO.
ECHO To restore your original
ECHO PATH, type RESETP.BAT
ECHO.
ECHO Your PATH is now %PATH%
